Bug 522686 - Boolean query does not return the right result set
Summary: Boolean query does not return the right result set
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Query/Bug List
Version: 3.6
Hardware: All
OS: Linux
high
urgent vote
Target Milestone: ---
Assignee: Simon Green
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 04:38 UTC by Bernd Groh
Modified: 2014-06-18 08:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 00:21:35 UTC


Attachments (Terms of Use)

Description Bernd Groh 2009-09-11 04:38:18 UTC
Description of problem:

Certain queries, using "Advanced Searching Using Boolean Charts", do not return the expected result sets, and this does not refer to issues with respect to logical precedence, which is a separate issue.

Version-Release number of selected component (if applicable):

3.2.3+

How reproducible:

Always

Steps to Reproduce:
1. Go to the following URL:

https://bugzilla.redhat.com/query.cgi?query_format=advanced&classification=Other&product=Bugzilla%20Metrics%20View&bug_status=NEW&bug_status=ASSIGNED&field0-0-0=assigned_to&type0-0-0=equals&value0-0-0=bgroh%40redhat.com&field0-0-1=attachments.submitter&type0-0-1=equals&value0-0-1=bgroh%40redhat.com

2. Check the parameters, i.e. NEW or ASSIGNED bugs against the Bugzilla Metrics View product, where I am either the Assignee, or the Attachment creator.

3. Click on [Search]

Actual results:

The list of bugs which have attachments, where I am either the Assignee, or the Attachment creator.

Expected results:

The list of bugs, where I am either the Assignee, or the Attachment creator, irrespective of whether these bugs have attachments, or not.

Additional info:

Seems like Bugzilla applies the wrong join here, i.e. an ordinary INNER JOIN, instead of a LEFT OUTER JOIN. If I'm asking for all bugs where I am the Assignee, OR something else, I at least expect all bugs where I am the Assignee. Currently, I do not get any bugs which do not have any attachments.

Comment 1 David Lawrence 2010-01-15 16:56:04 UTC
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this bug will need to be re-verified against the new release. With
the updated code this bug may no longer be relevant or may have been fixed in
the new code. Updating bug version to 3.4.

Comment 2 David Lawrence 2010-08-25 21:42:16 UTC
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team

Comment 3 Jeff Fearn 🐞 2012-05-30 04:43:07 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 4 Bernd Groh 2012-05-30 13:36:44 UTC
This requires testing, to see whether it still is an issue. I can have a test run within the next couple of days.

Comment 5 Simon Green 2012-06-20 00:21:35 UTC
(In reply to comment #0)
> Actual results:
> 
> The list of bugs which have attachments, where I am either the Assignee, or
> the Attachment creator.
> 
> Expected results:
> 
> The list of bugs, where I am either the Assignee, or the Attachment creator,
> irrespective of whether these bugs have attachments, or not.

I disagree. If you specify 'Attachment creator' 'is equal to' 'bgroh@redhat.com', then if a bug didn't have an attachment, it wouldn't be listed. In any case, with Bugzilla 4.2 you can write more advance queries that do you what you want. For example, 'NOT' 'Attachment creator' 'is not equal to' 'bgroh@redhat.com'

  -- simon

Comment 6 Bernd Groh 2012-06-20 00:36:26 UTC
You disagree? I've just done a test run, and yes, it does the right thing in Bugzilla 4.2, i.e. if you say 'Attachment creator' 'is equal to' 'bgroh@redhat.com' OR 'Assignee' 'is equal to' 'bgroh@redhat.com', you'll get the bugs where I am the Assignee, even if these have no attachments. Surely, you can't disagree with that, or? But I can confirm the issue has been fixed in 4.2.


Note You need to log in before you can comment on or make changes to this bug.